aboutsummaryrefslogtreecommitdiff
path: root/test/git/install_git_from_src_buster.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-12-17 03:08:37 +0300
committerGitHub <noreply@github.com>2022-12-17 03:08:37 +0300
commit2af02c198adabacff30c400b0bfcad972ce5abcc (patch)
tree4c80f07cdaa71c9ff0bcf5517499a9b0505eea0d /test/git/install_git_from_src_buster.sh
parente46c73de74942438e079564405c5c4b0291a4aae (diff)
Git - Bug Fix: Feature fails with "ppa:false" for "buster" & "bullseye" (#340)
Diffstat (limited to 'test/git/install_git_from_src_buster.sh')
-rw-r--r--test/git/install_git_from_src_buster.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/git/install_git_from_src_buster.sh b/test/git/install_git_from_src_buster.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_buster.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults